> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/1-7-2/getting-started/connect-your-first-machine/your-first-service-commissioning-file.md).

# Your First Service Commissioning File

This service commissioning file allows you to simulate a machine connecting to Connectware via the OPC UA protocol.

Download the service commissioning file and make yourself familiar with its structure.

{% file src="/files/BVSROjCW3JjAEGAUmQg3" %}

* To learn how to connect your first machine using this service commissioning file, see / [.](/1-7-2/getting-started/connect-your-first-machine.md).

### Structure of the Sample Service Commissioning File

The service commissioning file contains the following elements.

#### `description`

This section contains a short description of the template.

#### `metadata`

This section contains the name, version number, provider and homepage of the provider of the service commissioning file.

#### `parameters`

This section defines the parameters for the configuration of the OPC UA connection. The following parameters are available:

* `opcuaHost`: The address of the OPC UA host (default value: [opcua.demo-this.com](http://opcua.demo-this.com/)).
* `opcuaPort`: The port of the OPC UA host (default value: 51210).

#### `resources`

This section defines the resources that are used in this example. The following resources are available:

* `opcuaConnection`: Defines the connection to the OPC UA server.
  * `type`: Defines the type of the resource. In this case, `Cybus::Connection`.
  * `properties`: Defines the properties of the connection.
    * `protocol`: The protocol used. In this case, `Opcua`.
    * `connection`: The connection details, where the parameters `host` and `port` refer to the previously defined parameters `opcuaHost` and `opcuaPort`.
* `RandomDataExample`: Defines an endpoint that subscribes to data from a specific node of the OPC UA server.
  * `type`: Defines the type of the resource. In this case, `Cybus::Endpoint`.
  * `properties`: Defines the properties of the endpoint.
    * `protocol`: The used protocol. In this case, `Opcua`.
    * `connection`: Refers to the previously defined OPC UA connection.
    * `subscribe`: Defines the node (`nodeId`) from which data is subscribed (in this case `ns=2;i=11021`).
* `mapping`: Defines a mapping that forwards the subscribed data to a specific publication target.
  * `type`: Defines the type of the resource. In this case, `Cybus::Mapping`.
    * `properties`: The properties of the mapping.
      * `mappings`: A list of mappings.
        * `subscribe`: Defines the end point from which data is subscribed (`RandomDataExample`).
        * `publish`: Defines the publication target (`topic`), whereby a topic (`example/opcua/dataexample`) is specified.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cybus.io/1-7-2/getting-started/connect-your-first-machine/your-first-service-commissioning-file.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
